net.minecraft.server.integrated

## Class IntegratedServer

- java.lang.Object
- - net.minecraft.server.MinecraftServer
  - - net.minecraft.server.integrated.IntegratedServer

- All Implemented Interfaces:
    Runnable, ICommandSender, IPlayerUsage

      public class IntegratedServer
      extends MinecraftServer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.server.MinecraftServer

      `currentTask, percentDone, receivedPacketCountArray, receivedPacketSizeArray, sentPacketCountArray, sentPacketSizeArray, theProfiler, tickTimeArray, worldServers, worldTickTimes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedServer(Minecraft par1Minecraft, String par2Str, String par3Str, WorldSettings par4WorldSettings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrashReport` | `addServerInfoToCrashReport(CrashReport par1CrashReport)` Adds the server info, including from theWorldServer, to the crash report.
    `void` | `addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)`
    `boolean` | `canStructuresSpawn()`
    `int` | `func_110455_j()`
    `int` | `getDifficulty()` Defaults to "1" (Easy) for the dedicated server, defaults to "2" (Normal) on the client.
    `EnumGameType` | `getGameType()`
    `ILogAgent` | `getLogAgent()`
    `NetworkListenThread` | `getNetworkThread()`
    `boolean` | `getPublic()` Returns true if this integrated server is open to LAN
    `IntegratedServerListenThread` | `getServerListeningThread()` Gets the IntergratedServerListenThread.
    `void` | `initiateShutdown()` Sets the serverRunning variable to false, in order to get the server to shut down.
    `boolean` | `isCommandBlockEnabled()` Return whether command blocks are enabled.
    `boolean` | `isDedicatedServer()`
    `boolean` | `isHardcore()` Defaults to false.
    `boolean` | `isSnooperEnabled()` Returns whether snooping is enabled or not.
    `void` | `setGameType(EnumGameType par1EnumGameType)` Sets the game type for all worlds.
    `String` | `shareToLAN(EnumGameType par1EnumGameType, boolean par2)` On dedicated does nothing.
    `void` | `stopServer()` Saves all necessary data as preparation for stopping the server.
    `void` | `tick()` Main function called by run() every loop.

    - ### Methods inherited from class net.minecraft.server.MinecraftServer

      `addServerTypeToSnooper, canCommandSenderUseCommand, canCreateBonusChest, deleteWorldAndStopServer, enableProfiling, executeCommand, func_143006_e, func_143007_ar, func_82010_a, getActiveAnvilConverter, getAllowNether, getAllUsernames, getBuildLimit, getCanSpawnAnimals, getCanSpawnNPCs, getCommandManager, getCommandSenderName, getConfigurationManager, getCurrentPlayerCount, getEntityWorld, getFile, getFolderName, getForceGamemode, getGuiEnabled, getHostname, getKeyPair, getMaxPlayers, getMinecraftVersion, getMOTD, getPlayerCoordinates, getPlayerUsageSnooper, getPlugins, getPort, getPossibleCompletions, getServer, getServerConfigurationManager, getServerHostname, getServerModName, getServerMOTD, getServerOwner, getServerPort, getServerProxy, getSpawnProtectionSize, getSystemTimeMillis, getTexturePack, getTickCounter, getUserMessage, getWorldName, isBlockProtected, isDebuggingEnabled, isDemo, isFlightAllowed, isPVPEnabled, isServerInOnlineMode, isServerRunning, isServerStopped, isSinglePlayer, logDebug, logInfo, logSevere, logWarning, main, run, sendChatToPlayer, serverIsInRunLoop, setAllowFlight, setAllowPvp, setBuildLimit, setCanSpawnAnimals, setCanSpawnNPCs, setConfigurationManager, setDemo, setDifficultyForAllWorlds, setFolderName, setForceGamemode, setHostname, setKeyPair, setMOTD, setOnlineMode, setServerOwner, setServerPort, setTexturePack, setWorldName, startServerThread, textureSize, updateTimeLightAndEntities, worldServerForDimension`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedServer

          public IntegratedServer(Minecraft par1Minecraft,
                          String par2Str,
                          String par3Str,
                          WorldSettings par4WorldSettings)

  - ### Method Detail

    - #### tick

          public void tick()

      Main function called by run() every loop.
      Overrides:
        `tick` in class `MinecraftServer`

    - #### canStructuresSpawn

          public boolean canStructuresSpawn()

      Specified by:
        `canStructuresSpawn` in class `MinecraftServer`

    - #### getGameType

          public EnumGameType getGameType()

      Specified by:
        `getGameType` in class `MinecraftServer`

    - #### getDifficulty

          public int getDifficulty()

      Defaults to "1" (Easy) for the dedicated server, defaults to "2" (Normal) on the client.
      Specified by:
        `getDifficulty` in class `MinecraftServer`

    - #### isHardcore

          public boolean isHardcore()

      Defaults to false.
      Specified by:
        `isHardcore` in class `MinecraftServer`

    - #### isDedicatedServer

          public boolean isDedicatedServer()

      Specified by:
        `isDedicatedServer` in class `MinecraftServer`

    - #### getServerListeningThread

          public IntegratedServerListenThread getServerListeningThread()

      Gets the IntergratedServerListenThread.

    - #### addServerInfoToCrashReport

          public CrashReport addServerInfoToCrashReport(CrashReport par1CrashReport)

      Adds the server info, including from theWorldServer, to the crash report.
      Overrides:
        `addServerInfoToCrashReport` in class `MinecraftServer`

    - #### addServerStatsToSnooper

          public void addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)

      Specified by:
        `addServerStatsToSnooper` in interface `IPlayerUsage`
      Overrides:
        `addServerStatsToSnooper` in class `MinecraftServer`

    - #### isSnooperEnabled

          public boolean isSnooperEnabled()

      Returns whether snooping is enabled or not.
      Specified by:
        `isSnooperEnabled` in interface `IPlayerUsage`
      Overrides:
        `isSnooperEnabled` in class `MinecraftServer`

    - #### shareToLAN

          public String shareToLAN(EnumGameType par1EnumGameType,
                          boolean par2)

      On dedicated does nothing. On integrated, sets commandsAllowedForAll, gameType and allows external connections.
      Specified by:
        `shareToLAN` in class `MinecraftServer`

    - #### getLogAgent

          public ILogAgent getLogAgent()

      Specified by:
        `getLogAgent` in interface `IPlayerUsage`
      Specified by:
        `getLogAgent` in class `MinecraftServer`

    - #### stopServer

          public void stopServer()

      Saves all necessary data as preparation for stopping the server.
      Overrides:
        `stopServer` in class `MinecraftServer`

    - #### initiateShutdown

          public void initiateShutdown()

      Sets the serverRunning variable to false, in order to get the server to shut down.
      Overrides:
        `initiateShutdown` in class `MinecraftServer`

    - #### getPublic

          public boolean getPublic()

      Returns true if this integrated server is open to LAN

    - #### setGameType

          public void setGameType(EnumGameType par1EnumGameType)

      Sets the game type for all worlds.
      Overrides:
        `setGameType` in class `MinecraftServer`

    - #### isCommandBlockEnabled

          public boolean isCommandBlockEnabled()

      Return whether command blocks are enabled.
      Specified by:
        `isCommandBlockEnabled` in class `MinecraftServer`

    - #### func_110455_j

          public int func_110455_j()

      Specified by:
        `func_110455_j` in class `MinecraftServer`

    - #### getNetworkThread

          public NetworkListenThread getNetworkThread()

      Specified by:
        `getNetworkThread` in class `MinecraftServer`